html{
  scroll-behavior: smooth;
}

body{
  margin: 0px;
  width: 100%;
  background-color: #e9e9e9;
}

a{
  text-decoration: none;
}

header{
  background-color: #e9e9e9;
}

.menu:hover, .menu:active, .menu:focus{
  color: #ea5599;
  text-decoration: underline;
}

.emplacement:hover, .emplacement:active, .emplacement:focus{
  color: #6cb52d;
  text-decoration: underline;
}

.propos:hover, .propos:active, .propos:focus{
  color: #fcbe0e;
  text-decoration: underline;
}

.contact:hover, .contact:active, .contact:focus{
  color: #66a2d8;
  text-decoration: underline;
}

.haut-de-page{
  display: flex;
  background-color: #444444;
  width: 98%;
  border-radius: 30px;
  margin-left: 1%;
  position: fixed;
  top: 0px;
  opacity: 90%;
}

nav{
  display: flex;
  justify-content: center;
  width: 96%;
}

main{
  font-family: capucine-web, sans-serif;
  font-weight: 700;
  font-style: normal;
}

nav a{
  color: white;
  font-size: 180%;
  font-family: wreath, serif;
  font-weight: 400;
  font-style: normal;
}

nav ul{
  display: flex;
  justify-content: center;
  height: 100%;
  width: 100%;
  margin-top: 0px;
}

nav ul li{
  list-style-type: none;
  display: flex;
  align-items: center;
  margin-left: 8%;
  margin-right: 8%;
}

.pictos{
  display: flex;
  justify-content: space-around;
  margin-bottom: 130px;
  margin-top: -2%;
}

.pictos img{
  width: 68%;
}

.pictos a{
  text-align: center;
  width: 50%;
}

.picto1{
  margin-left: 15%;
  width: 46%!important;
}

.picto2{
  margin-right: 15%;
}

.insta{
  display: flex;
  flex-direction: column;
}

.insta div{
  display: flex;
  justify-content: center;
}

.insta h2, .carte h2, .a-propos h2, .menub h2, #horaires h3{
  text-align: center;
  font-family: capucine-web, sans-serif;
  font-weight: 700;
  font-style: normal;
  text-decoration: underline;
  font-size: 1.5em;
  padding-top: 8%;
}

.a-propos p{
  width: 50%;
  margin-left: auto;
  margin-right: auto;
}

.insta img{
  width: 17%;
  height: auto;
  margin: 0.5% 0.5% 0.5% 0.5%;
}

.carte{
  display: flex;
  flex-direction: column;
  align-items: center;
}

footer p{
  color: white;
  text-align: right;
  padding-bottom: 2%;
}

footer{
  background-color: #444444;
  width: 100%;
  padding-top: 1%;
  padding-bottom: 1%;
  margin-top: 8%;
}

footer p{
  text-align: center;
  margin: 0px;
  padding: 0px;
}

footer div ul{
  display: flex;
  flex-direction: row;
  padding-top: 10px;
  padding-bottom: 10px;
  list-style-type: none;
  position: relative;
  text-align: center;
}

footer .resize{
  width: 10%;
  height: auto;
}

.resize{
  width: 100%;
  height: auto;
  margin: 10% 0% 10% 0%;
}

.logo_header{
  object-fit: contain;
  margin-left: 30px;
  width: 10%;
  height: auto;
  margin: 10px 10px 10px 20px;
}

.reseaux ul{
  margin-bottom: 0px;
}

.menub{
  text-align: center;
  padding-top: 35px;
  padding-bottom: 35px;
}

.menub img{
  width: 20%;
}

.reseauxfixe{
  width: 5%;
  background-color: #444444;
  position: sticky;
  top: 35%;
  left: 5px;
  border-radius: 15px 15px 15px 15px;
  z-index: 10;
}

.reseauxfixe ul{
  padding: 5px 15px 5px 15px;
  display: flex;
  flex-direction: column;
}

.reseauxfixe ul li{
  list-style-type: none;
}

.carte iframe{
  width: 40%;
  margin-right: 10%;
}

.flex{
  display: flex;
}

.column{
  flex-direction: column;
}

.justify{
  justify-content: center;
}

.align{
  align-items: center;
}

.space-around{
  justify-content: space-around;
}

footer button{
  background-color: #444444;
  border: 0px;
  color: white;
}

footer button:hover{
  cursor: pointer;
  text-decoration: underline;
}

#grow{
  width: 100%;
}

#horaires{
  flex-grow: 2;
  text-align: center;
}

#horaires h3, #horaires #p{
  text-align: center;
}

#horaires p{
  display: inline;
  margin: 5px 0px 5px 0px;
}

.hidden{
  color: white;
}

#mentions{
  text-align: center;
  color: white;
  display: none;
}

#mentions a{
  text-decoration: none;
  color: #aaaaaa;
}

.menu2 img{
  display: none;
}

.menu3 img{
  display: none;
}

.flexx{
  display: flex;
}

@media (min-width: 1500px) {
  .reseauxfixe{
    width: 4%;
  }
}

@media (max-width: 1000px) {
  nav a{
    font-size: 80%;
  }

  .reseauxfixe{
    width: 6%;
  }

  .reseauxfixe ul{
    padding: 5px 5px 5px 5px;
  }

  .pictos{
    display: flex;
    justify-content: space-around;
    margin-bottom: 8%;
    margin-top: -25%;
  }

  .logo_header{
    object-fit: contain;
    margin-left: 30px;
    width: 10%;
    height: auto;
    margin: 10px 10px 10px 20px;
  }
}

@media (max-width: 450px) {

  .menub img{
    display: none;
  }

  nav a{
    font-size: 70%;
  }

  .reseauxfixe{
    width: 8%;
  }

  .reseauxfixe ul{
    padding: 5px 5px 5px 5px;
  }

  .logo_header{
    object-fit: contain;
    margin-left: 30px;
    width: 18%;
    height: auto;
    margin: 10px 10px 10px 20px;
  }

  nav ul li{
    list-style-type: none;
    display: flex;
    align-items: center;
    margin-left: 5%;
    margin-right: 5%;
  }

  .carte-horaire{
    display: inline;
  }

  .carte iframe{
    width: 90%;
    margin-left: 5%;
    margin-top: 8%;
  }

  .menu2 img{
    display: block;
    width: 100%;
  }

  .non_visible{
    display: none;
  }
  
  .menu2{
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 75%;
    margin-left: auto;
    margin-right: auto;
  }

  .menu2 a{
    margin: 0% 4% 0% 4%;
  }

  .menu2 i{
    color: black;
  }

  .flex{
    display: flex;
    flex-direction: column;
  }

  .fa-chevron-right, .fa-chevron-left, .fa-chevron-left2, .fa-chevron-right2{
    font-size: 300%;
  }

  .menu3 img{
    display: block;
    width: 100%;
  }

  .non_visible2{
    display: none;
  }
  
  .menu3{
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 75%;
    margin-left: auto;
    margin-right: auto;
  }

  .menu3 a{
    margin: 0% 4% 0% 4%;
  }

  .menu3 i{
    color: black;
  }

  .width50{
    width: 50%;
  }

  .flexx{
    display: flex;
  }
}